package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 更多功能对象 mall_config_function
 * 
 * @author LCL
 * @date 2023-10-24
 */
public class MallConfigFunction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 功能主键ID */
    private Long configFunctionId;

    /** 等级 */
    @Excel(name = "等级")
    private Integer level;

    /** 功能图标 */
    @Excel(name = "功能图标")
    private String icon;

    /** 功能名称 */
    @Excel(name = "功能名称")
    private String configFunctionName;

    /** 功能解释 */
    @Excel(name = "功能解释")
    private String configFunctionInterpret;

    /** 跳转路径 */
    @Excel(name = "跳转路径")
    private String jumpUrl;

    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 是否首页展示：0-展示，1-不展示 */
    @Excel(name = "是否首页展示：0-展示，1-不展示")
    private String isHome;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setConfigFunctionId(Long configFunctionId) 
    {
        this.configFunctionId = configFunctionId;
    }

    public Long getConfigFunctionId() 
    {
        return configFunctionId;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setConfigFunctionName(String configFunctionName) 
    {
        this.configFunctionName = configFunctionName;
    }

    public String getConfigFunctionName() 
    {
        return configFunctionName;
    }
    public void setConfigFunctionInterpret(String configFunctionInterpret) 
    {
        this.configFunctionInterpret = configFunctionInterpret;
    }

    public String getConfigFunctionInterpret() 
    {
        return configFunctionInterpret;
    }
    public void setJumpUrl(String jumpUrl) 
    {
        this.jumpUrl = jumpUrl;
    }

    public String getJumpUrl() 
    {
        return jumpUrl;
    }
    public void setIsShow(String isShow) 
    {
        this.isShow = isShow;
    }

    public String getIsShow() 
    {
        return isShow;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIsHome(String isHome) 
    {
        this.isHome = isHome;
    }

    public String getIsHome() 
    {
        return isHome;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("configFunctionId", getConfigFunctionId())
            .append("level", getLevel())
            .append("icon", getIcon())
            .append("configFunctionName", getConfigFunctionName())
            .append("configFunctionInterpret", getConfigFunctionInterpret())
            .append("jumpUrl", getJumpUrl())
            .append("isShow", getIsShow())
            .append("status", getStatus())
            .append("isHome", getIsHome())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
